
require 'facets/core/kernel/is'

class Module

  # An alias for #include.
  #
  # class X
  #   is Enumerable
  # end
  #
  alias_method :is, :include

  # Is a given class or module an ancestor of
  # this class or module?
  #
  #  class X ; end
  #  class Y < X ; end
  #
  #   Y.is?(X)  #=> true
  #
  def is?( base )
    ancestors.slice(1..-1).include?( base )
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# TODO
